MCP server for interacting with Knowledge Catalog (formerly known as Dataplex).
A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.
Server Setup
You must enable MCP servers and set up authentication before use. For more information about using Google and Google Cloud remote MCP servers, see Google Cloud MCP servers overview.
Server Endpoints
An MCP service endpoint is the network address and communication interface (usually a URL) of the MCP server that an AI application (the Host for the MCP client) uses to establish a secure, standardized connection. It is the point of contact for the LLM to request context, call a tool, or access a resource. Google MCP endpoints can be global or regional.
The Cloud Dataplex API MCP server has the following global MCP endpoint:
- https://dataplex.googleapis.com/mcp
MCP Tools
An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.
Tools
The dataplex.googleapis.com MCP server has the following tools:
| MCP Tools | |
|---|---|
search_entries |
Searches for data assets (eg. table/dataset/view) in Knowledge Catalog (formerly known as Dataplex) based on the provided search query. The |
get_data_product |
Fetches details of a single, specified Data Product. Once you have used the get_data_product tool to fetch the metadata for a Data Product, you can use the list_data_assets tool to list the Data Assets that are part of that Data Product. |
get_data_asset |
Fetches details of a single, specified Data Asset that is part of a Data Product. |
list_data_products |
List Data Products in a particular project. |
list_data_assets |
List Data Assets in a particular data product. |
create_data_product |
Initiates the creation of a Data Product.
|
update_data_product |
Initiates the update of a Data Product. Update the metadata of an existing data product.
|
create_data_asset |
Initiates the creation of a Data Asset.
|
update_data_asset |
Initiates the update of a Data Asset.
|
get_operation |
Gets the status of a long-running operation. Usage Some tools return a long-running operation. You can use this tool to get the status of the operation. If an operation takes an extended amount of time, then use a command line tool to pause for 5 seconds before rechecking the status of the operation. Parameters * Returns * |
lookup_context |
Retrieves rich metadata regarding one or more data assets along with their relationships. |
lookup_entry |
Retrieves detailed technical metadata including 1P and 3P aspects regarding a specific data asset using simplified parameters. |
update_data_product_aspects |
Updates aspects of a Catalog Entry representing a Data Product. For Custom Aspects:
Request Structure:
|
Get MCP tool specifications
To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.
| Curl Request |
|---|
curl --location 'https://dataplex.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/list", "jsonrpc": "2.0", "id": 1 }' |